
<form (ngSubmit)="addProduct()">
  <input type="text" name="product name" placeholder="product name" [(ngModel)]="newProduct.name">
  <input type="text" name="product tag" placeholder="product tag" [(ngModel)]="newProduct.tag">
  <input type="number" name="product quantity" placeholder="product quantity" [(ngModel)]="newProduct.qty">
  <input type="text" name="product comment" placeholder="product comment" [(ngModel)]="newProduct.comment">
  <input type="submit" value="Add">
</form>